## Details of the XOR QA (gold paragraph) data
This README file explains the format of 1. XOR QA gold paragraph data and 2. XOR QA Reading Comprehension data (1 + QA pairs (a) with yes/no answers or (b) without any short answers). 

### 1. XOR QA Gold Paragraph
This XOR QA gold paragraph is a (almost) SQuAD-format json file that includes question, **gold paragraph** and answer information. For train data, we also provide the human translated questions used during annotation (`oracle_question`).

e.g.,
```
{'title': 'title:WikiLeaks_parentSection:Introduction_sectionName:Introduction_sectionIndex:0', 'paragraphs': [{'context': 'WikiLeaks () is an international non-profit organisation that publishes secret information, news leaks, and classified media provided by anonymous sources. Its website, initiated in 2006 in Iceland by the organisation Sunshine Press, claims a database of 10 million documents in 10 years since its launch. Julian Assange, an Australian Internet activist, is generally described as its founder and director. Kristinn Hrafnsson is its editor-in-chief.', 'qas': [{'question': 'উইকিলিকস কত সালে সর্বপ্রথম ইন্টারনেটে প্রথম তথ্য প্রদর্শন করে ?', 'oracle_question': 'In what year did WikiLeaks first display information on the Internet?', 'answers': [{'text': '2006', 'answer_start': 182}], 'id': '-2745676532874802308', 'lang': 'bn', 'split': 'train'}]}]}
```

### 2. XOR QA Reading Comprehension
This XOR QA Reading Comprehension contains QA data with boolean answers or data with long answers only in addition to the data included in 1. More specifically, 

The dataset format is mostly same as 1, and this file contains new field, `is_impossible` and `type`. 

- `is_impossible`: a boolean value; `True` if a gold paragraph includes a short answer (minimal span), otherwise `False`. 
- `type`: `short` if an answer can be extracted from the annotated gold paragraph, `bool` for yes/no answers, and `long` if the question only has a long answer; the gold paragraph provide sufficient information to answer, but we cannot directly extract the minimal spans. Please see the definition of `long` answers in the original Natural Questions or TyDi QA paper. 

e.g., 
```
{'title': 'title:First-wave feminism_parentSection:Introduction_sectionName:United States._sectionIndex:0', 'paragraphs': [{'context': '"Woman in the Nineteenth Century" by Margaret Fuller has been considered the first major feminist work in the United States and is often compared to Wollstonecraft\'s "A Vindication of the Rights of Woman". Prominent leaders of the feminist movement in the United States include Lucretia Coffin Mott, Elizabeth Cady Stanton, Lucy Stone, and Susan B. Anthony; Anthony and other activists such as Victoria Woodhull and Matilda Joslyn Gage made attempts to cast votes prior to their legal entitlement to do so, for which many of them faced charges. Other important leaders included several women who dissented against the law in order to have their voices heard, (Sarah and Angelina Grimké), in addition to other activists such as Carrie Chapman Catt, Alice Paul, Sojourner Truth, Ida B. Wells, Margaret Sanger and Lucy Burns.', 'qas': [{'question': 'প্রথম নারীবাদী যৌন যুদ্ধের নেতৃত্ব দেন কে ?', 'oracle_question': 'Who led the first feminist sexual war?', 'answers': [], 'id': '-3837344597475092707', 'lang': 'bn', 'split': 'train', 'is_impossible': True, 'type': 'long'}]}]}
```

If you have any further questions on the format, please feel free to send email to akari@cs.washington.edu.